Skip to navigation

Delete All Price Lists

Deletes a Price List. All associated price records are also removed. Optional parameters can be passed in.

Authentication

X-Auth-Tokenstring

OAuth scopes

UI NamePermissionParameter
Productsmodifystore_v2_products
Productsread-onlystore_v2_products_read_only

Authentication header

HeaderArgumentDescription
X-Auth-Tokenaccess_tokenFor more about API accounts that generate access_tokens, see our Guide to API Accounts.

Further reading

For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.

For more about BigCommerce OAuth scopes, see our Guide to API Accounts.

For a list of API status codes, see API Status Codes.

Path parameters

store_hashstringRequired
Permanent ID of the BigCommerce store.

Headers

AcceptstringRequiredDefaults to application/json

The MIME type of the response body.

Query parameters

id:inlist of integersOptional

Filter by ID. Accepts multiple comma-separated values.

namestringOptional
Filter items by name.

Response

204 No Content. The action has been performed and no further information will be supplied. null is returned.

Errors

503
Service Unavailable Error